## List History `client.alerting.history.list(HistoryListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/accounts/{account_id}/alerting/v3/history` Gets a list of history records for notifications sent to an account. The records are displayed for last `x` number of days based on the zone plan (free = 30, pro = 30, biz = 30, ent = 90). ### Parameters - `params: HistoryListParams` - `account_id: string` Path param: The account id - `before?: string` Query param: Limit the returned results to history records older than the specified date. This must be a timestamp that conforms to RFC3339. - `page?: number` Query param: Page number of paginated results. - `per_page?: number` Query param: Number of items per page. - `since?: string` Query param: Limit the returned results to history records newer than the specified date. This must be a timestamp that conforms to RFC3339. ### Returns - `History` - `id?: string` UUID - `alert_body?: string` Message body included in the notification sent. - `alert_type?: string` Type of notification that has been dispatched. - `description?: string` Description of the notification policy (if present). - `mechanism?: string` The mechanism to which the notification has been dispatched. - `mechanism_type?: "email" | "pagerduty" | "webhook"` The type of mechanism to which the notification has been dispatched. This can be email/pagerduty/webhook based on the mechanism configured. - `"email"` - `"pagerduty"` - `"webhook"` - `name?: string` Name of the policy. - `policy_id?: string` The unique identifier of a notification policy - `sent?: string` Timestamp of when the notification was dispatched in ISO 8601 format. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const history of client.alerting.history.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(history.id); } ``` #### Response ```json { "errors": [ { "message": "message", "code": 1000 } ], "messages": [ { "message": "message", "code": 1000 } ], "success": true, "result": [ { "id": "f174e90afafe4643bbbc4a0ed4fc8415", "alert_body": "SSL certificate has expired", "alert_type": "universal_ssl_event_type", "description": "Universal Certificate validation status, issuance, renewal, and expiration notices", "mechanism": "test@example.com", "mechanism_type": "email", "name": "SSL Notification Event Policy", "policy_id": "0da2b59ef118439d8097bdfb215203c9", "sent": "2021-10-08T17:52:17.571336Z" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ```